Bio::Roary::External::Blastp(3pm)

NAME
Bio::Roary::External::Blastp - Wrapper around NCBIs blastp command

VERSION
version 3.6.0

SYNOPSIS
Wrapper around NCBIs blastp command

   use Bio::Roary::External::Blastp;

   my $blast_database= Bio::Roary::External::Blastp->new(
     fasta_file => 'contigs.fa',
     blast_database => 'db',
     exec       => 'blastp',
     output_file => 'results.out'
   );

   $blast_database->run();

METHODS

  result_file
Returns the path to the results file

AUTHOR
Andrew J. Page <ap13@sanger.ac.uk>

COPYRIGHT AND LICENSE
This software is Copyright (c) 2013 by Wellcome Trust Sanger Institute.

This is free software, licensed under:

  The GNU General Public License, Version 3, June 2007